Subject: bug#61667: 29.0.60; Failure to redisplay

From: Dmitry Gutov <[email-masked]>
Date: Mon, 27 Feb 2023 01:22:54 +0200

On 26/02/2023 19:00, Dmitry Gutov wrote:
> Its weird: screencast recording doesn't stop the problem from happening 
> live, but it fails to capture how it looks.
> 
> I've recorded a half dozen of such screencasts, and I think only one of 
> them managed to capture the desynchronization between the title bar and 
> the window update. The rest look like there is no delay.

That might be a peculiarity of gnome-screenshot..

I redid the screencast using ffmpeg and x11grab, and it captures the 
problem fine. See the last two attempts (out of 6) in this video:

https://a.uguu.se/PThfScNL.webm

Note I also added (insert "!") and (redisplay) so that it's easy to see 
the exact moment "a" was pressed.